### Method

# Vips Image autorot

#### Declaration [src]

    int
    vips_autorot (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Look at the image metadata and rotate and flip the image to make it upright. The `VIPS_META_ORIENTATION` tag is removed from `out` to prevent accidental double rotation.

Read `angle` to find the amount the image was rotated by. Read `flip` to see if the image was also flipped.

Optional arguments

- `angle`: `VipsAngle`, output, the image was rotated by
- `flip`: `gboolean`, output, whether the image was flipped.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.